### Virtual Method

# Gio Volume eject_finish

deprecated: 2.22

#### Declaration

    gboolean
    eject_finish (
      GVolume* volume,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finishes ejecting a volume. If any errors occurred during the operation, `error` will be set to contain the errors and `FALSE` will be returned.

Deprecated since: 2.22

Use `g_volume_eject_with_operation_finish()` instead.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE`, `FALSE` if operation failed.